Download it now!
Bug 32138 - FORMATTING: Docx: page content not the same as Office 2007
Summary: FORMATTING: Docx: page content not the same as Office 2007
Status: RESOLVED WONTFIX
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
3.3.0 RC1
Hardware: x86 (IA32) Linux (All)
: low minor
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: filter:docx
Depends on:
Blocks: DOCX-Paragraph
  Show dependency treegraph
 
Reported: 2010-12-06 08:36 UTC by joe_spamcatcher
Modified: 2018-07-11 15:01 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
docx file illustrating incompatability with Office 2007 (19.44 KB, application/vnd.ms-word.document.12)
2010-12-06 08:36 UTC, joe_spamcatcher
Details

Note You need to log in before you can comment on or make changes to this bug.
Description joe_spamcatcher 2010-12-06 08:36:37 UTC
Created attachment 40836 [details]
docx file illustrating incompatability with Office 2007

I have attached a docx file, test.docx (created in office 2007). 

LibreOffice RC1: the last item (other than the footnote) on the bottom of p.1 is the third enumerated item, which breaks across pages. 

Office 2007: the first item in the enumerated list is complete at the bottom of p. 1.

OO 3.2: the first item is incomplete at the bottom of page 1 (three lines carry over to the second page)

So neither LO nor OO exactly reproduce the document, but OO 3.2 is much closer than LO RC1.

This is using 

LibreOffice 3.3.0 
OOO330m17 (Build:3)
libreoffice-build 3.3.0.1
Comment 1 Katarina Behrens 2010-12-07 02:29:15 UTC
Lubos, can you please look into this docx issue?
Comment 2 Luboš Luňák 2010-12-15 08:23:17 UTC
Not necessarily a docx issue, it can be slightly different font rendering or whatever.
Comment 3 A (Andy) 2013-01-20 12:49:07 UTC
for me not reproducible with LO 3.6.4.3. (Win7 Home, 64bit)

Have you also already checked it with release 3.6.4.3.?

Can anybody else confirm this bug, if not then we can maybe mark it as resolved?
Comment 4 joe_spamcatcher 2013-04-04 16:34:45 UTC
The formatting of the document is much improved in 4.0.2.1. The first enumerated item now breaks in the same place in Office 2010 and LO 4. The fifth enumerated item breaks in a different place (after 3 lines in LO, after 4 lines in Word). This is obviously much better, but it's not identical.
Comment 5 QA Administrators 2014-10-23 17:32:07 UTC Comment hidden (obsolete)
Comment 6 QA Administrators 2015-12-20 16:16:55 UTC Comment hidden (obsolete)
Comment 7 Xisco Faulí 2016-09-10 16:10:28 UTC
Hi Lubos,
I'm setting this ticket back to NEW as it has been inactive for more than 3
months.
Feel free to assign it back to you if you're still working on this.
Regards
Comment 8 QA Administrators 2018-06-26 02:43:16 UTC Comment hidden (obsolete, spam)
Comment 9 Justin L 2018-07-11 15:01:06 UTC
This document depends on font Bookman Old Style. The document and bug report are so general as to not be of any real value. It also has been open for so long without anyone seriously looking at it that there is no point in keeping it open. (Also, a comparison with MSO 2003 seems pretty close with LO 6.2.)